## [v0.0.86-alpha] - 2023-08-29

###Fixed
Fixed exception access violation in close application

## [v0.0.80-alpha] - 2023-08-15

## Unreleased
- Action: Current Object > Move
- Action: Current Object > Rename
- Condition: Current Object > Changes > Has Inserted
- Condition: Current Object > Changes > Has Changed
- Condition: Current Object > Changes > Has Deleted
- Condition: Current Object > Changes > Has Copied
- Condition: Current Object > Changes > Has Moved
- Condition: Current Object > Changes > Has Renamed
- Action: Move
- Action: Rename
- Condition: Object > Changes > Has Inserted
- Condition: Object > Changes > Has Changed
- Condition: Object > Changes > Has Deleted
- Condition: Object > Changes > Has Copied
- Condition: Object > Changes > Has Moved
- Condition: Object > Changes > Has Renamed
- Expression: Current Object > Get Name
- Expression: Get Name

### Added
- Expression: Current Object > Get Type 

### Fixed
- Core: Current Path Unicode in actions, conditions and expressions
- Core: Internal Version
- Condition: Current Object > Is Structure
- Condition: Current Object > Is Object
- Condition: Current Object > Is Array
- Condition: Current Object > Is Number > Any
- Condition: Current Object > Is Number > Integer
- Condition: Current Object > Is Number > Float
- Condition: Current Object > Is String
- Condition: Current Object > Is Boolean 
- Condition: Current Object > Is Null 

### Broked
- Conditions: Doesn't work - Current Object > Is Number > Double

## [v0.0.76-alpha] - 2023-05-29

### Added
- Action: Current Object -> Insert -> Null
- Action: Insert -> Null
- Condition: Current Object -> Compare to Value
- Condition: Object -> Compare to Value

### Changed
- Objects and pairs have unordered structure in the JSON file

## [v0.0.75-alpha] - 2023-05-25

### Added
- Action: Current Object -> Copy
- Action: Current Object -> Delete
- Action: Copy
- Action: Delete
- Example: Basic - Object And Arrays

### Changed
- Improved error messages
- Name file extension JSONPlusPlus.mfx

### Deprecated
- Name file extension JSON++.mfa

### Removed
- Properties template

### Fixed
Example: Basic - Strings
Example: Basic - Numbers
Example: Basic - Booleans

### Broked
- Build apk, but not work (unknown cause)
- Expression: Current Object -> Get Name - returns nothing
- Expression: Get Name - returns nothing

### v0.0.72-alpha
* Fix conversion int and float

### v0.0.73-alpha
* Fix conversion int and float
* Fix Action: Current Object -> Insert Value
+ Action: Current Object -> Change -> Set String
+ Action: Current Object -> Change -> Value -> Set Value
+ Action: Current Object -> Change -> Value -> Add Value
+ Action: Current Object -> Change -> Value -> Subtract Value
+ Action: Current Object -> Change -> Boolean -> True
+ Action: Current Object -> Change -> Boolean -> False
+ Action: Current Object -> Change -> Boolean -> Toggle
+ Action: Current Object -> Change -> Boolean -> Set Boolean
+ New Example: JSON++ Numbers
+ New Example: JSON++ Booleans
+ New Example: JSON++ String

### v0.0.71-alpha
+ Action: Set JSON from String
+ Expression: Get Index
+ Expression: Current Object -> Get Index
+ Condition:  File -> On Set JSON from String
* Fix Unicode
* Fix Expression: Get Error
* Fix Expression: Current Object -> Get Boolean
+ New Example: Pokedex - API Consumer
+ New Example: Combo Box - Cascading Dropdown

### v0.0.69-alpha
* Fix compile Unicode 

### v0.0.68-alpha
* Fix compile Unicode 

### v0.0.67-alpha
* Fix compile Android 

### v0.0.66-alpha
* Fix compile Android 

### v0.0.65-alpha
+ Expression: Current Object -> Get Number Of Object
+ Expression: Object -> Get Number Of Object
* Bug reported: Variables type number is broken

### v0.0.64-alpha
+ Condition: Navigation -> Has Navigated To Object

### v0.0.63-alpha
+ Condition: Current Object -> Is True
+ Condition: Current Object -> Is False
+ Condition: Navigation -> Has Left Object
+ Condition: Navigation -> Has Set Path
+ Condition: Navigation -> Has Set Current Object

### v0.0.62-alpha
+ Condition: Compare To String
+ Condition: Is True
+ Condition: Is False
+ Expression: Get Type

### v0.0.61-alpha
+ New condition: Current Object -> Exists
+ New condition: Current Object -> Is Empty
+ New condition: Current Object -> Is Structured
+ New condition: Current Object -> Is Object
+ New condition: Current Object -> Is Array -> Values is Any
+ New condition: Current Object -> Is Number -> Any
+ New condition: Current Object -> Is Number -> Integer
+ New condition: Current Object -> Is Number -> Float
+ New condition: Current Object -> Is String
+ New condition: Current Object -> Is Boolean
+ New condition: Current Object -> Is Null
+ New condition: Current Object -> Is Binary
+ New condition: Object -> Exists
+ New condition: Object -> Is Empty
+ New condition: Object -> Is Structured
+ New condition: Object -> Is Object
+ New condition: Object -> Is Array -> Values is Any
+ New condition: Object -> Is Number -> Any
+ New condition: Object -> Is Number -> Integer
+ New condition: Object -> Is Number -> Float
+ New condition: Object -> Is String
+ New condition: Object -> Is Boolean
+ New condition: Object -> Is Null
+ New condition: Object -> Is Binary
* Fix Navigation menu